﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Ext.Net;

namespace SoftCo.Ajax
{
    /// <summary>
    /// Test 的摘要说明
    /// </summary>
    public class Test : IHttpHandler
    {

        public void ProcessRequest(HttpContext context)
        {
            List<NewShopTaskList> lst = new List<NewShopTaskList>()
            {
                new NewShopTaskList()
                {
                    BeginDate=DateTime.Now.AddDays(-5),
                    DealDate=DateTime.Now.AddDays(-1),
                    TaskId=Guid.NewGuid().ToString(),
                    ShopName="IT部",
                    TaskTitel="市内交通费报销",
                    FSname="待审批",
                    UserName="sea.gao",
                    PTName="项目报销"
                },
                 new NewShopTaskList()
                {
                    BeginDate=DateTime.Now.AddDays(-6),
                    DealDate=DateTime.Now.AddDays(-1),
                    TaskId=Guid.NewGuid().ToString(),
                    ShopName="IT部",
                    TaskTitel="加班餐费报销",
                    FSname="待审批",
                    UserName="sea.gao",
                    PTName="项目报销"
                },
                 new NewShopTaskList()
                {
                    BeginDate=DateTime.Now.AddDays(-5),
                    DealDate=DateTime.Now.AddDays(-1),
                    TaskId=Guid.NewGuid().ToString(),
                    ShopName="IT部",
                    TaskTitel="市内交通费报销",
                    FSname="待审批",
                    UserName="sea.li",
                    PTName="项目报销"
                }
                ,
                 new NewShopTaskList()
                {
                    BeginDate=DateTime.Now.AddDays(-5),
                    DealDate=DateTime.Now.AddDays(-1),
                    TaskId=Guid.NewGuid().ToString(),
                    ShopName="采购部",
                    TaskTitel="市内交通费报销",
                    FSname="待审批",
                    UserName="sea.li",
                    PTName="项目报销"
                },
                 new NewShopTaskList()
                {
                    BeginDate=DateTime.Now.AddDays(-5),
                    DealDate=DateTime.Now.AddDays(-1),
                    TaskId=Guid.NewGuid().ToString(),
                    ShopName="采购部",
                    TaskTitel="市内交通费报销",
                    FSname="待审批",
                    UserName="sea.li",
                    PTName="项目报销"
                },
                 new NewShopTaskList()
                {
                    BeginDate=DateTime.Now.AddDays(-5),
                    DealDate=DateTime.Now.AddDays(-1),
                    TaskId=Guid.NewGuid().ToString(),
                    ShopName="采购部",
                    TaskTitel="市内交通费报销",
                    FSname="待审批",
                    UserName="sea.li",
                    PTName="项目报销"
                },
                 new NewShopTaskList()
                {
                    BeginDate=DateTime.Now.AddDays(-5),
                    DealDate=DateTime.Now.AddDays(-1),
                    TaskId=Guid.NewGuid().ToString(),
                    ShopName="财务部",
                    TaskTitel="市内交通费报销",
                    FSname="待审批",
                    UserName="sea.li",
                    PTName="项目报销"
                },
                 new NewShopTaskList()
                {
                    BeginDate=DateTime.Now.AddDays(-5),
                    DealDate=DateTime.Now.AddDays(-1),
                    TaskId=Guid.NewGuid().ToString(),
                    ShopName="财务部",
                    TaskTitel="市内交通费报销",
                    FSname="待审批",
                    UserName="sea.li",
                    PTName="项目报销"
                },
                 new NewShopTaskList()
                {
                    BeginDate=DateTime.Now.AddDays(-5),
                    DealDate=DateTime.Now.AddDays(-1),
                    TaskId=Guid.NewGuid().ToString(),
                    ShopName="财务部",
                    TaskTitel="市内交通费报销",
                    FSname="待审批",
                    UserName="sea.li",
                    PTName="项目报销"
                }
            };
            new StoreResponseData
            {
                Total = lst.Count,
                Data = JSON.Serialize(lst)
            }.Return();
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
    public class NewShopTaskList
    {
        /// <summary>
        /// 任务ID
        /// </summary>
        public string TaskId { get; set; }
        /// <summary>
        /// 任务名称
        /// </summary>
        public string TaskTitel { get; set; }
        /// <summary>
        /// 门店名称
        /// </summary>
        public string ShopName { get; set; }
        /// <summary>
        /// 提交人
        /// </summary>
        public string UserName { get; set; }
        /// <summary>
        /// 任务创建时间
        /// </summary>
        public DateTime? TaskBeginDate { get; set; }
        /// <summary>
        /// 任务结束日期
        /// </summary>
        public DateTime? TaskEndDate { get; set; }
        /// <summary>
        /// 提交日期
        /// </summary>
        public DateTime? BeginDate { get; set; }
        /// <summary>
        /// 流程阶段
        /// </summary>
        public string FSname { get; set; }
        /// <summary>
        /// 审批人
        /// </summary>
        public string DealUserid { get; set; }
        /// <summary>
        /// 显示ID
        /// </summary>
        public int? DisplayIndex { get; set; }
        /// <summary>
        /// 所属阶段
        /// </summary>
        public string PhasesName { get; set; }
        /// <summary>
        /// 事件ID
        /// </summary>
        public string DriverId { get; set; }
        /// <summary>
        /// 门店ID
        /// </summary>
        public string ObjectId { get; set; }

        /// <summary>
        /// 处理日期
        /// </summary>
        public DateTime? DealDate { get; set; }
        /// <summary>
        /// 主持老师
        /// </summary>
        public string ShopkeeperName { get; set; }
        /// <summary>
        /// 阶段ID
        /// </summary>
        public string PhasesId { get; set; }
        /// <summary>
        /// 任务阶段ID
        /// </summary>
        public string DriverPhasesid { get; set; }
        /// <summary>
        /// 业务模板编码
        /// </summary>
        public string PTCode { get; set; }
        /// <summary>
        /// 文件类型Id
        /// </summary>
        public string FileTypeId { get; set; }
        /// <summary>
        /// 文件类型名称
        /// </summary>
        public string FileTypeName { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 任务时长
        /// </summary>
        public int TaskHours { get; set; }
        /// <summary>
        /// 处理时长
        /// </summary>
        public int DealHours { get; set; }
        /// <summary>
        /// 处理动作ID
        /// </summary>
        public string DealFAID { get; set; }
        /// <summary>
        /// 动作名称
        /// </summary>
        public string FAName { get; set; }
        /// <summary>
        /// 处理状态
        /// </summary>
        public string DealFSID { get; set; }
        /// <summary>
        /// 门店类型
        /// </summary>
        public string ShopType { get; set; }
        /// <summary>
        /// 节点ID
        /// </summary>
        public string PNID { get; set; }
        /// <summary>
        /// 模版ID
        /// </summary>
        public string PTID { get; set; }
        /// <summary>
        /// 标志
        /// </summary>
        public int overtimeflag { get; set; }
        /// <summary>
        /// 当前流程
        /// </summary>
        public string PTName { get; set; }
    }
}