﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Index.aspx.cs" Inherits="SoftCo.Index" %>

<%@ Register Assembly="Ext.Net" Namespace="Ext.Net" TagPrefix="ext" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>管理系统</title>
    <ext:ResourceManager ID="ResourceManager1" runat="server" />
    <script type="text/javascript">
        var addTab = function (id, url, title) {
            var tab = tplCenter.getComponent(id);
            if (!tab) {
                tab = tplCenter.add({
                    id: id,
                    title: title,
                    closable: true,
                    autoLoad: {
                        showMask: true,
                        url: url,
                        mode: "iframe",
                        maskMsg: "正在加载  " + title + " ..."
                    }
                });
            }
            tplCenter.setActiveTab(tab);
        }
        function showMsg(title, content) {
            Ext.net.Notification.show({
                hideFx: {
                    fxName: 'switchOff',
                    args: [{}]
                },
                showFx: {
                    args: [
                              'C3DAF9',
                              1,
                              {
                                  duration: 2.0
                              }
                          ],
                    fxName: 'frame'
                },
                closeVisible: true,
                html: content,
                title: title + '   ' + new Date().format('g:i:s A')
            });
        }
        function showMyWindow(url, id, title, isMaximized) {
            url += ((url.indexOf('?') == -1 ? ("?rand=") : ("&rand=")) + Math.round(Math.random() * 10000));
            var myWin = new Ext.Window({
                id: id,
                title: title,
                width: 572,
                height: 290,
                iconCls: "addicon",
                resizable: false,
                draggable: true,
                defaultType: "textfield",
                labelWidth: 100,
                collapsible: false,
                closeAction: 'close',
                closable: true,
                maximizable: true,
                maximized: arguments.length == 4 ? isMaximized : false,
                modal: true,
                buttonAlign: "center",
                bodyStyle: "padding:0 0 0 0",
                listeners: { "beforedestroy": function (obj) {
                    var tabs = top.tabs;
                    if (typeof tabs != undefined && tabs != null) {
                        if (top.tabs.items.getCount() > 1) {
                            var currentTab = tabs.getActiveTab();
                            tabs.remove(currentTab);
                        }
                    }
                    top.showMsg('温馨提示', '我已经关闭啦！');
                }
                },
                html: '<iframe style="margin-left:0px;margin-top:0px;border:0;' +
	              'border-style:solid;border-color:red;" width="100%" height="100%" ' +
	              ' id="frmWin' + id + '" src="' + url + '" name="' + id + '" />'
            });
            myWin.show();
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <ext:Viewport runat="server" ID="Viewport1" Layout="ContainerLayout">
        <Items>
            <ext:BorderLayout ID="BorderLayout1" runat="server">
                <North>
                    <ext:Panel ID="pnlTop" runat="server" Border="false" Header="false" Height="85">
                        <BottomBar>
                            <ext:Toolbar ID="Toolbar1" runat="server">
                                <Items>
                                    <ext:Label Icon="User" ID="lblLoginName" Text="Steve Jobs" runat="server" />
                                    <ext:ToolbarSeparator runat="server" />
                                    <ext:Label Icon="UserSuitBlack" ID="lblRoleName" Text="超级管理员" runat="server" />
                                    <ext:ToolbarSeparator runat="server" />
                                    <ext:Label Icon="Vcard" ID="lblGroupName" runat="server" Text="总部总裁" />
                                    <ext:ToolbarSeparator runat="server" />
                                    <ext:HyperLink Icon="UserDelete" NavigateUrl="/SignOut.aspx" runat="server" Text="安全退出" />
                                    <ext:ToolbarFill ID="ToolbarFill1" runat="server" />
                                    <ext:HyperLink ID="hlkGetHelpInfo" runat="server" NavigateUrl="/FormServerTemplates/DownLoad.aspx?type=DownLoadUsersManual"
                                        Target="_blank" Icon="Help" Text="获取用户手册" />
                                    <ext:ToolbarSeparator ID="ToolbarSeparator3" runat="server" />
                                    <ext:HyperLink ID="hlkGetInfo" runat="server" NavigateUrl="/FormServerTemplates/ShowForum.aspx"
                                        Target="_blank" Icon="UserComment" Text="意见与建议" />
                                    <ext:ToolbarSeparator ID="ToolbarSeparator4" runat="server" />
                                    <ext:HyperLink ID="HyperLink3" runat="server" NavigateUrl="mailto:test1@test.com.cn?cc=test2@test.com.cn&subject=%CE%CA%CC%E2%B7%B4%C0%A1%A3%A8%C7%EB%CF%EA%CF%B8%C3%E8%CA%F6%C4%FA%B5%C4%B2%D9%D7%F7%A3%A9"
                                        Target="_blank" Text="E-Mail" Icon="EmailOpen" />
                                    <ext:ToolbarSeparator ID="ToolbarSeparator1" runat="server" />
                                    <ext:HyperLink ID="HyperLink1" runat="server" NavigateUrl="/FormServerTemplates/ShowForum.aspx?type=Notice"
                                        Target="_blank" Icon="Note" Text="公告（2）" />
                                </Items>
                            </ext:Toolbar>
                        </BottomBar>
                        <Items>
                            <ext:Image ID="Image1" runat="server" ImageUrl="/imgs/LogoMaker.jpg" Height="60" />
                        </Items>
                    </ext:Panel>
                </North>
                <West Split="true" MarginsSummary="5 0 5 5">
                    <ext:Panel ID="pnlLeft" Width="200" Title="组织机构" Icon="UserBrown" runat="server"
                        Layout="AccordionLayout" />
                </West>
                <Center MarginsSummary="5 5 5 0">
                    <ext:TabPanel runat="server" ID="tplCenter" IDMode="Static" ResizeTabs="true" Border="true"
                        MinTabWidth="75" TabWidth="135" EnableTabScroll="true">
                        <Plugins>
                            <ext:TabScrollerMenu ID="TabScrollerMenu1" runat="server" />
                        </Plugins>
                        <Items>
                            <ext:Panel ID="Panel1" runat="server" TabMenuHidden="true" Title="工作台" TabTip="工作台"
                                Closable="false">
                                <AutoLoad Url="/WorkbenchMain.aspx" Mode="IFrame" TriggerEvent="show" ShowMask="true" />
                            </ext:Panel>
                        </Items>
                    </ext:TabPanel>
                </Center>
                <East MarginsSummary="5 0 5 0" CollapseMode="Mini" Collapsible="true" Split="True"
                    UseSplitTips="False">
                    <ext:Panel ID="Panel2" Width="250" Title="Lync列表" Header="true" Collapsed="true"
                        Icon="ApplicationTileVertical" runat="server" Layout="Accordion">
                        <TopBar>
                            <ext:Toolbar ID="Toolbar2" runat="server">
                                <Items>
                                    <ext:Button ID="Button1" runat="server" Icon="Connect">
                                        <ToolTips>
                                            <ext:ToolTip ID="ToolTip1" runat="server" Title="Rich ToolTips" Html="Let your users know what they can do!" />
                                        </ToolTips>
                                    </ext:Button>
                                    <ext:Button ID="Button2" runat="server" Icon="UserAdd" />
                                    <ext:Button ID="Button3" runat="server" Icon="UserDelete" />
                                </Items>
                            </ext:Toolbar>
                        </TopBar>
                        <Items>
                            <ext:TreePanel ID="TreePanel1" runat="server" Title="Online Users" RootVisible="false">
                                <Tools>
                                    <ext:Tool Type="Refresh" Handler="Ext.Msg.alert('Message','Refresh Tool Clicked!');" />
                                </Tools>
                                <Root>
                                    <ext:TreeNode Text="Root">
                                        <Nodes>
                                            <ext:TreeNode Text="Friends" Expanded="true">
                                                <Nodes>
                                                    <ext:TreeNode Text="Jack" Icon="User" />
                                                    <ext:TreeNode Text="Brian" Icon="User" />
                                                    <ext:TreeNode Text="Jon" Icon="User" />
                                                    <ext:TreeNode Text="Tim" Icon="User" />
                                                    <ext:TreeNode Text="Nige" Icon="User" />
                                                    <ext:TreeNode Text="Fred" Icon="User" />
                                                    <ext:TreeNode Text="Bob" Icon="User" />
                                                </Nodes>
                                            </ext:TreeNode>
                                            <ext:TreeNode Text="Family" Expanded="true">
                                                <Nodes>
                                                    <ext:TreeNode Text="Kelly" Icon="UserFemale" />
                                                    <ext:TreeNode Text="Sara" Icon="UserFemale" />
                                                    <ext:TreeNode Text="Zack" Icon="UserGreen" />
                                                    <ext:TreeNode Text="John" Icon="UserGreen" />
                                                </Nodes>
                                            </ext:TreeNode>
                                        </Nodes>
                                    </ext:TreeNode>
                                </Root>
                            </ext:TreePanel>
                            <ext:Panel ID="Panel3" runat="server" Title="Settings" />
                            <ext:Panel ID="Panel4" runat="server" Title="Even More Stuff" />
                            <ext:Panel ID="Panel5" runat="server" Title="My Stuff" />
                        </Items>
                    </ext:Panel>
                </East>
            </ext:BorderLayout>
        </Items>
    </ext:Viewport>
    </form>
</body>
</html>
