﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Ext.Net;

namespace SoftCo
{
    public partial class Index : Page
    {
        private void GetLastNode(Ext.Net.TreeNode tn)
        {
            if (tn.Nodes.Count>0)
            {
                foreach (Ext.Net.TreeNode item in tn.Nodes)
                {
                    GetLastNode(item);
                }
            }
            else
            {
                tn.Listeners.Click.Handler = string.Format("addTab('{0}','{1}','{2}');", Guid.NewGuid().ToString("N"), "/WebForm1.aspx", tn.Text);
            }
        }
        protected void Page_Load(object sender, EventArgs e)
        {
            //if (Session["User"] == null)
            //{
            //    X.Redirect("/Login.aspx", "登陆超时，请重新登陆...");
            //    return;
            //}
            if (!IsPostBack)
            {
                //lblLoginName.Text = userinfo.UserName;
                //lblRoleName.Text = string.Format("角色：{0}", userinfo.RoleName);
                //lblGroupName.Text = string.Format("部门：{0}", userinfo.OrgName);
                #region IT部
                TreePanel tree1 = new TreePanel()
                {
                    AutoScroll = true,
                    Title = "IT部",
                    RootVisible = false,
                    Icon = Icon.BulletMinus,
                    Root =
                            {
                                new Ext.Net.TreeNode()
                                {
                                    Expanded = true,
                                    Icon = Icon.BulletEarth,
                                    Nodes={
                                            new Ext.Net.TreeNode()
                                             {
                                                    Text="ADS1",
                                                    Expanded = true,
                                                    Icon = Icon.Vcard,
                                                    Nodes={
                                                            new Ext.Net.TreeNode()
                                                             {
                                                                    Text="张三",
                                                                    Expanded = true,
                                                                    Icon = Icon.User,
                                                             },
                                                             new Ext.Net.TreeNode()
                                                             {
                                                                    Text="张三",
                                                                    Expanded = true,
                                                                    Icon = Icon.User,
                                                             },
                                                             new Ext.Net.TreeNode()
                                                             {
                                                                    Text="李四",
                                                                    Expanded = true,
                                                                    Icon = Icon.User,
                                                             },
                                                             new Ext.Net.TreeNode()
                                                             {
                                                                    Text="王五",
                                                                    Expanded = true,
                                                                    Icon = Icon.User,
                                                             },
                                                    }
                                             },
                                            new Ext.Net.TreeNode()
                                            {
                                                    Text="ADS2",
                                                    Expanded = true,
                                                    Icon = Icon.Vcard,
                                                    Nodes={
                                                            new Ext.Net.TreeNode()
                                                             {
                                                                    Text="玉姣",
                                                                    Expanded = true,
                                                                    Icon = Icon.User,
                                                             },
                                                             new Ext.Net.TreeNode()
                                                             {
                                                                    Text="丽娜",
                                                                    Expanded = true,
                                                                    Icon = Icon.User,
                                                             },
                                                             new Ext.Net.TreeNode()
                                                             {
                                                                    Text="静婉",
                                                                    Expanded = true,
                                                                    Icon = Icon.User,
                                                             },
                                                             new Ext.Net.TreeNode()
                                                             {
                                                                    Text="碧娴",
                                                                    Expanded = true,
                                                                    Icon = Icon.User,
                                                             },
                                                    }
                                             },
                                 
                                    }
                                }
                            }
                };
                #endregion
                pnlLeft.Items.Add(tree1);
                #region 财务部
                TreePanel tree2 = new TreePanel()
                        {
                            AutoScroll = true,
                            Title = "财务部",
                            RootVisible = false,
                            Icon = Icon.BulletMinus,
                            Root =
                    {
                        new Ext.Net.TreeNode()
                        {
                            Expanded = true,
                            Disabled=true,
                            Icon = Icon.BulletEarth,
                            Nodes={
                                 new Ext.Net.TreeNode()
                                 {
                                        Text="张三",
                                        Expanded = true,
                                        Icon = Icon.User,
                                 },
                                 new Ext.Net.TreeNode()
                                 {
                                        Text="李四",
                                        Expanded = true,
                                        Icon = Icon.User,
                                 },
                                 new Ext.Net.TreeNode()
                                 {
                                        Text="王五",
                                        Expanded = true,
                                        Icon = Icon.User,
                                 },
                            }
                        }
                    }
                        };
                pnlLeft.Items.Add(tree2);
                #endregion
                #region 采购部
                TreePanel tree3 = new TreePanel()
                        {
                            AutoScroll = true,
                            Title = "采购部",
                            RootVisible = false,
                            Icon = Icon.BulletMinus,
                            Root =
                    {
                        new Ext.Net.TreeNode()
                        {
                            Text="ADS1",
                            Expanded = true,
                            Icon = Icon.BulletEarth,
                            Nodes={
                                 new Ext.Net.TreeNode()
                                 {
                                        Text="张三",
                                        Expanded = true,
                                        Icon = Icon.User,
                                 },
                                 new Ext.Net.TreeNode()
                                 {
                                        Text="李四",
                                        Expanded = true,
                                        Icon = Icon.User,
                                 },
                                 new Ext.Net.TreeNode()
                                 {
                                        Text="王五",
                                        Expanded = true,
                                        Icon = Icon.User,
                                 },
                            }
                        }
                    }
                        };
                pnlLeft.Items.Add(tree3);
                #endregion
                #region 销售部
                TreePanel tree4 = new TreePanel()
                        {
                            AutoScroll = true,
                            Title = "销售部",
                            RootVisible = false,
                            Icon = Icon.BulletMinus,
                            Root =
                    {
                        new Ext.Net.TreeNode()
                        {
                            Text="ADS1",
                            Expanded = true,
                            Icon = Icon.BulletEarth,
                            Nodes={
                                 new Ext.Net.TreeNode()
                                 {
                                        Text="张三",
                                        Expanded = true,
                                        Icon = Icon.User,
                                 },
                                 new Ext.Net.TreeNode()
                                 {
                                        Text="李四",
                                        Expanded = true,
                                        Icon = Icon.User,
                                 },
                                 new Ext.Net.TreeNode()
                                 {
                                        Text="王五",
                                        Expanded = true,
                                        Icon = Icon.User,
                                 },
                            }
                        }                        
                    }
                        };
                pnlLeft.Items.Add(tree4);
                #endregion
                #region 人事部
                TreePanel tree5 = new TreePanel()
                        {
                            AutoScroll = true,
                            Title = "人事部",
                            RootVisible = false,
                            Icon = Icon.BulletMinus,
                            Root =
                    {
                        new Ext.Net.TreeNode()
                        {
                            Text="ADS1",
                            Expanded = true,
                            Icon = Icon.BulletEarth,
                            Nodes={
                                 new Ext.Net.TreeNode()
                                 {
                                        Text="张三",
                                        Expanded = true,
                                        Icon = Icon.User,
                                 },
                                 new Ext.Net.TreeNode()
                                 {
                                        Text="李四",
                                        Expanded = true,
                                        Icon = Icon.User,
                                 },
                                 new Ext.Net.TreeNode()
                                 {
                                        Text="王五",
                                        Expanded = true,
                                        Icon = Icon.User,
                                 },
                            }
                        }
                    }
                        };
                pnlLeft.Items.Add(tree5);
                #endregion
                #region 行政部
                TreePanel tree6 = new TreePanel()
                        {
                            AutoScroll = true,
                            Title = "行政部",
                            RootVisible = false,
                            Icon = Icon.BulletMinus,
                            Root =
                    {
                        new Ext.Net.TreeNode()
                        {
                            Text="ADS1",
                            Expanded = true,
                            Icon = Icon.BulletEarth,
                            Nodes={
                                 new Ext.Net.TreeNode()
                                 {
                                        Text="张三",
                                        Expanded = true,
                                        Icon = Icon.User,
                                 },
                                 new Ext.Net.TreeNode()
                                 {
                                        Text="李四",
                                        Expanded = true,
                                        Icon = Icon.User,
                                 },
                                 new Ext.Net.TreeNode()
                                 {
                                        Text="王五",
                                        Expanded = true,
                                        Icon = Icon.User,
                                 },
                            }
                        }
                    }
                        };
                pnlLeft.Items.Add(tree6); 
                #endregion
                foreach (var item in pnlLeft.Items)
                {
                    if (item is TreePanel)
                    {
                        var tree = item as TreePanel;
                        foreach (Ext.Net.TreeNode tn in tree.Root)
                        {
                            GetLastNode(tn);
                        }
                    }
                }
                //using (SoftCoEntities db = new SoftCoEntities())
                //{
                //    #region 加载菜单
                //    var lstFirstMenus = db.View_RoleMenus.Where(p => p.RoleID == user.RoleID && string.IsNullOrEmpty(p.ParentMenuID)).OrderBy(p => p.DisplayIndex);
                //    foreach (var firstMenu in lstFirstMenus)
                //    {
                //        TreePanel tree = new TreePanel();
                //        tree.AutoScroll = true;
                //        tree.Title = firstMenu.MenuText;
                //        tree.RootVisible = false;
                //        tree.Icon = Icon.BulletMinus;

                //        Ext.Net.TreeNode root = new Ext.Net.TreeNode();
                //        root.NodeID = "root";
                //        tree.Root.Add(root);
                //        #region 加载二级菜单
                //        //获取菜单子项
                //        var secondMenus = db.View_RoleMenus.Where(p => p.RoleID == user.RoleID && p.ParentMenuID == firstMenu.MenuID).OrderBy(p => p.DisplayIndex);
                //        foreach (var secondMenu in secondMenus)
                //        {
                //            Ext.Net.TreeNode node1 = new Ext.Net.TreeNode();
                //            node1.Text = secondMenu.MenuText;
                //            node1.Expanded = true;
                //            node1.Icon = Icon.BulletEarth;
                //            node1.Listeners.Click.Handler = string.Format("addTab('{0}','{1}','{2}');", secondMenu.MenuID, secondMenu.MenuValue, secondMenu.MenuText);
                //            root.Nodes.Add(node1);

                //        }
                //        #endregion
                //        pnlLeft.Items.Add(tree);
                //    }
                //    #endregion
                //}
            }

        }
    }
}
