﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Login.aspx.cs" Inherits="SoftCo.Login" %>

<%@ Register Assembly="Ext.Net" Namespace="Ext.Net" TagPrefix="ext" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>登陆</title>
    <ext:ResourceManager ID="ResourceManager1" runat="server" />
</head>
<body>
    <ext:Window ID="Window1" runat="server" Closable="false" Resizable="false" AutoHeight="true"
        Icon="Lock" Title="系统登陆" Draggable="false" Width="320" Modal="true" Padding="5"
        IDMode="Static">
        <Items>
            <ext:FormPanel ID="FormPanel1" Collapsible="true" Header="false" Icon="PageAdd" runat="server"
                MonitorValid="true" ButtonAlign="Right" Padding="0" Layout="Form" Border="false">
                <Items>
                    <ext:ComboBox ID="cboRoles" Editable="false" runat="server" FieldLabel="角色名" MsgTarget="Side"
                        AllowBlank="false" BlankText="请选择角色！" Width="174">
                        <Listeners>
                            <Select Handler="if(this.getValue()=='OrdinaryUsers'){txtUserName.setVisible(false);txtCardID.setVisible(true);}else {txtUserName.setVisible(true);txtCardID.setVisible(false);}" />
                        </Listeners>
                    </ext:ComboBox>
                    <ext:TextField ID="txtCardID" IDMode="Static" MsgTarget="Side" runat="server" FieldLabel="卡号"
                        AllowBlank="false" BlankText="请输入卡号！" Width="174" />
                    <ext:TextField ID="txtUserName" Hidden="true" IDMode="Static" MsgTarget="Side" runat="server"
                        FieldLabel="用户名" AllowBlank="false" BlankText="请输入用户名！" Width="174" />
                    <ext:TextField ID="txtPassword" MsgTarget="Side" IDMode="Static" runat="server" FieldLabel="密码"
                        AllowBlank="false" BlankText="请输入密码！" InputType="Password" Width="174" />
                </Items>
                <Buttons>
                    <ext:Button ID="btnSubmit" runat="server" Text="确　定" CausesValidation="true" Icon="Accept">
                        <DirectEvents>
                            <Click OnEvent="btnSubmit_Click">
                                <EventMask ShowMask="true" Msg="正在登陆..." MinDelay="500" />
                            </Click>
                        </DirectEvents>
                    </ext:Button>
                </Buttons>
            </ext:FormPanel>
        </Items>
    </ext:Window>
</body>
</html>
