﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WorkbenchMain.aspx.cs"
    Inherits="SoftCo.WorkbenchMain" %>

<%@ Register Assembly="Ext.Net" Namespace="Ext.Net" TagPrefix="ext" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>工作台</title>
    <script type="text/javascript">
        var template = '<b style="color:{1};">{0}</b>';
        var setTitle = function (value, metadata, record, rowIndex, colIndex, store) {
            return String.format(template, value, 'green');
        };
        function autoSizeArea() {
            var vHeight = Viewport1.getHeight();
            pnlView.setHeight(vHeight);
            vHeight = vHeight - 150;
            GridPanel1.setHeight(vHeight);
            GridPanel3.setHeight(vHeight);
            GridPanel2.setHeight(vHeight);
            GridPanel6.setHeight(vHeight);
            GridPanel5.setHeight(vHeight);
        }
        function showTestPage() {
            top.showMyWindow('/Test.aspx', 'frmStatesRequestList', '测试页', true);
        }
        function showWin(url, id, title, width, height, isMaximized) {
            url += ((url.indexOf('?') == -1 ? ("?rand=") : ("&rand=")) + Math.round(Math.random() * 10000));
            var myWin = new Ext.Window({
                id: id,
                title: title,
                width: width,
                height: height,
                iconCls: "addicon",
                resizable: false,
                draggable: true,
                defaultType: "textfield",
                labelWidth: 100,
                collapsible: false,
                closeAction: 'close',
                closable: true,
                maximizable: true,
                maximized: arguments.length == 4 ? isMaximized : false,
                modal: true,
                buttonAlign: "center",
                bodyStyle: "padding:0 0 0 0",
                listeners: { "beforedestroy": function (obj) {
                    top.showMsg('温馨提示', '我已经关闭啦！');
                }
                },
                html: '<iframe style="margin-left:0px;margin-top:0px;border:0;' +
	              'border-style:solid;border-color:red;" width="100%" height="100%" ' +
	              ' id="frmWin' + id + '" src="' + url + '" name="' + id + '" />'
            });
            myWin.show();
        }
        function toExcuteOperations(recodes, common) {
            ExcuteOperations(null, recodes, common);
        }

        var PEIDs = '';
        var shopids = '';
        var isSendEmail = false;
        function Operations(animEl, recodes, TypeID, iconCs, msg, progressText, taskIDName, ObjectIdName, DriverIdName, TaskTitelName, remark) {
            Ext.MessageBox.show({
                msg: msg,                        //消息标题
                progressText: progressText,      //进度提示
                width: 300,
                wait: true,
                waitConfig: { interval: 200 },
                //        icon: iconCs,                     //自定义的图标样式
                animEl: animEl                   //动画元素
            });
            if (recodes) {
                OperationsProcess(recodes, 0, taskIDName, ObjectIdName, DriverIdName, TaskTitelName, remark, TypeID);
            }
            else {
                setTimeout(function () {
                    Ext.MessageBox.hide();
                    Ext.Msg.notify('温馨提示', '请选择一项！');
                }, 800);
                return;
            }
            setTimeout(function () {
                Ext.MessageBox.hide(); updateStore();
            }, 10000);
        }
        function OperationsProcess(recodes, i, taskIDName, ObjectIdName, DriverIdName, TaskTitelName, remark, TypeID) {
            if ((i + 1) > recodes.length) {
                Ext.MessageBox.hide(); updateStore();
                Ext.Msg.notify('操作完成', '操作完成！');
                return;
            }
            var taskId = recodes[i].get(taskIDName);
            var ObjectId = recodes[i].get(ObjectIdName);
            var DriverId = recodes[i].get(DriverIdName);
            var TaskTitel = recodes[i].get(TaskTitelName);
            var PhasesId = recodes[i].get("PhasesId");
            var PNID = recodes[i].get("PNID");
            var PTID = recodes[i].get('PTID');
            var DriverPhasesid = recodes[i].get('DriverPhasesid');
            PEIDs += DriverId + ',';
            shopids += ObjectId + ',';
            if (i < recodes.length) {
                //TODO:你的操作
                OperationsProcess(recodes, i + 1, taskIDName, ObjectIdName, DriverIdName, TaskTitelName, remark, TypeID);
            }
        }
        function ExcuteOperations(animEl, recodes, TypeID, iconCs, msg, progressText, taskIDName, ObjectIdName, DriverIdName, TaskTitelName) {
            if (msg == null || typeof msg == 'undefined')
                msg = '正在处理中，请稍后...';
            if (progressText == null || typeof progressText == 'undefined')
                progressText = '正在处理...';
            if (iconCs == null || typeof iconCs == 'undefined')
                iconCs = 'ext-mb-download';
            if (animEl == null)
                animEl = 'body';
            if (recodes == null || typeof recodes == 'undefined' || recodes.length == 0) {
                Ext.Msg.notify('温馨提示', '没有需要处理的项！');
                return;
            }
            if (taskIDName == null || typeof taskIDName == 'undefined') {
                taskIDName = 'TaskId';
            }
            if (ObjectIdName == null || typeof ObjectIdName == 'undefined') {
                ObjectIdName = 'ObjectId';
            }
            if (DriverIdName == null || typeof DriverIdName == 'undefined') {
                DriverIdName = 'DriverId';
            }
            if (TaskTitelName == null || typeof TaskTitelName == 'undefined') {
                TaskTitelName = 'TaskTitel';
            }
            if (TypeID == 'Upload')
                Operations(animEl, recodes, TypeID, iconCs, msg, progressText, taskIDName, ObjectIdName, DriverIdName, TaskTitelName, '');
            else
                showInput(animEl, recodes, TypeID, iconCs, msg, progressText, taskIDName, ObjectIdName, DriverIdName, TaskTitelName);
        }
        function showInput(animEl, recodes, TypeID, iconCs, msg, progressText, taskIDName, ObjectIdName, DriverIdName, TaskTitelName) {
            Ext.MessageBox.show({
                title: '批注',
                msg: '请输入批注：',
                width: 300,
                buttons: Ext.MessageBox.OKCANCEL,
                multiline: true,
                fn: function (btn, text) {
                    var remark = text.replace(/(^\s*)|(\s*$)/g, '');
                    if (TypeID == 'Reject' || TypeID == 'Repeal') {
                        var tip = '';
                        if (TypeID == 'Reject')
                            tip = '【退回】';
                        if (TypeID == 'Repeal')
                            tip = '【撤销】';
                        if (remark == '' && btn == 'ok') {
                            showInput(animEl, recodes, TypeID, iconCs, msg, progressText, taskIDName, ObjectIdName, DriverIdName, TaskTitelName);
                            alert(tip + '必须填写批注，请填写。');
                        }
                        else if (btn == 'cancel')
                            Ext.MessageBox.alert('温馨提示', '操作已取消（' + tip + '必须填写批注）。');
                        else if (remark != '' && btn == 'ok')
                            Operations(animEl, recodes, TypeID, iconCs, msg, progressText, taskIDName, ObjectIdName, DriverIdName, TaskTitelName, remark);
                    }
                    else {
                        if (btn == 'ok')
                            Operations(animEl, recodes, TypeID, iconCs, msg, progressText, taskIDName, ObjectIdName, DriverIdName, TaskTitelName, remark);
                        else
                            Ext.MessageBox.alert('温馨提示', '操作已取消。');
                    }
                },
                animEl: animEl
            });
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <ext:ResourceManager ID="ResourceManager1" runat="server" />
    <ext:Viewport runat="server" ID="Viewport1" IDMode="Static">
        <Items>
            <ext:Panel runat="server" Layout="Accordion" ID="pnlView" IDMode="Static">
                <TopBar>
                    <ext:Toolbar runat="server">
                        <Items>
                            <ext:ButtonGroup ID="ButtonGroup1" Title="常用快捷方式" AutoWidth="true" AutoScroll="true"
                                TitleCollapse="true" runat="server">
                                <Items>
                                    <ext:Button ID="Button7" runat="server" Text="组织管理" Icon="VcardAdd" />
                                    <ext:ToolbarSeparator ID="ToolbarSeparator7" runat="server" />
                                    <ext:Button ID="Button8" runat="server" Text="版块管理" Icon="WorldAdd" />
                                    <ext:ToolbarSeparator ID="ToolbarSeparator8" runat="server" />
                                    <ext:Button ID="Button9" runat="server" Text="应用设置" Icon="ApplicationAdd" />
                                    <ext:ToolbarSeparator ID="ToolbarSeparator9" runat="server" />
                                    <ext:Button ID="Button10" runat="server" Text="表单管理" Icon="ApplicationFormAdd" />
                                    <ext:ToolbarSeparator ID="ToolbarSeparator10" runat="server" />
                                    <ext:Button ID="Button11" runat="server" Text="栏目管理" Icon="ApplicationOsxAdd" />
                                    <ext:ToolbarSeparator ID="ToolbarSeparator11" runat="server" />
                                    <ext:Button ID="Button12" runat="server" Text="绩效考核" Icon="AwardStarAdd" />
                                    <ext:ToolbarSeparator ID="ToolbarSeparator12" runat="server" />
                                    <ext:Button ID="Button2" runat="server" Text="消息警告" Icon="BellAdd" />
                                    <ext:ToolbarSeparator ID="ToolbarSeparator2" runat="server" />
                                    <ext:Button ID="Button3" runat="server" Text="提醒设置" Icon="BookAdd" />
                                    <ext:ToolbarSeparator ID="ToolbarSeparator3" runat="server" />
                                    <ext:Button ID="Button4" runat="server" Text="书签管理" Icon="BookmarkAdd" />
                                    <ext:ToolbarSeparator ID="ToolbarSeparator4" runat="server" />
                                    <ext:Button ID="Button5" runat="server" Text="栏目管理" Icon="BrickAdd" />
                                    <ext:ToolbarSeparator ID="ToolbarSeparator5" runat="server" />
                                    <ext:Button ID="Button6" runat="server" Text="异常反馈" Icon="BugAdd" />
                                    <ext:ToolbarSeparator ID="ToolbarSeparator6" runat="server" />
                                    <ext:Button ID="Button13" runat="server" Text="业绩评估" Icon="BuildingAdd" />
                                    <ext:ToolbarSeparator ID="ToolbarSeparator13" runat="server" />
                                    <ext:Button ID="Button14" runat="server" Text="报表统计" Icon="CalculatorAdd" />
                                    <ext:ToolbarSeparator ID="ToolbarSeparator14" runat="server" />
                                    <ext:SplitButton ID="SplitButton2" runat="server" Text="快捷管理" Icon="Add">
                                        <Menu>
                                            <ext:Menu ID="Menu2" runat="server">
                                                <Items>
                                                    <ext:MenuItem ID="MenuItem2" runat="server" Text="Menu Button 1" />
                                                </Items>
                                            </ext:Menu>
                                        </Menu>
                                    </ext:SplitButton>
                                </Items>
                            </ext:ButtonGroup>
                        </Items>
                    </ext:Toolbar>
                </TopBar>
                <LayoutConfig>
                    <ext:AccordionLayoutConfig Animate="true" AutoWidth="true" Fill="true" />
                </LayoutConfig>
                <Items>
                    <ext:GridPanel ID="GridPanel1" IDMode="Static" runat="server" Collapsible="true"
                        StripeRows="true" Title="待处理事务" AutoWidth="true" Icon="ClockRed" AutoExpandColumn="TaskTitel">
                        <Store>
                            <ext:Store ID="Store1" ShowWarningOnFailure="false" AutoLoad="true" runat="server"
                                GroupField="ShopName">
                                <Proxy>
                                    <ext:HttpProxy Method="POST" Url="/Ajax/Test.ashx" />
                                </Proxy>
                                <Reader>
                                    <ext:JsonReader TotalProperty="total" Root="data">
                                        <Fields>
                                            <%--任务ID--%>
                                            <ext:RecordField Name="TaskId" />
                                            <%--流程阶段--%>
                                            <ext:RecordField Name="FSname" />
                                            <%--门店名称--%>
                                            <ext:RecordField Name="ShopName" />
                                            <%--提交日期--%>
                                            <ext:RecordField Name="TaskBeginDate" />
                                            <%--任务名称--%>
                                            <ext:RecordField Name="TaskTitel" />
                                            <%--提交人--%>
                                            <ext:RecordField Name="UserName" />
                                            <%--审核人--%>
                                            <ext:RecordField Name="DealUserid" />
                                            <%--门店ID--%>
                                            <ext:RecordField Name="ObjectId" />
                                            <%--事件ID--%>
                                            <ext:RecordField Name="DriverId" />
                                            <%--阶段ID--%>
                                            <ext:RecordField Name="PhasesId" />
                                            <%--业务模板ID--%>
                                            <ext:RecordField Name="PTCode">
                                            </ext:RecordField>
                                            <%--文件类型ID--%>
                                            <ext:RecordField Name="FileTypeId" />
                                            <%--文件类型名称--%>
                                            <ext:RecordField Name="FileTypeName" />
                                            <%--<ext:RecordField Name="Remark" />--%>
                                            <ext:RecordField Name="ShopType" />
                                            <%--当前流程--%>
                                            <ext:RecordField Name="PTName" />
                                            <ext:RecordField Name="PNID" />
                                            <ext:RecordField Name="PTID" />
                                            <ext:RecordField Name="DriverPhasesid" />
                                            <ext:RecordField Name="overtimeflag" />
                                        </Fields>
                                    </ext:JsonReader>
                                </Reader>
                                <SortInfo Field="ShopName" Direction="ASC" />
                                <%--<BaseParams>
                                    <ext:Parameter Name="start" Value="0" Mode="Raw" />
                                    <ext:Parameter Name="limit" Value="getPageSize1()" Mode="Raw" />
                                    <ext:Parameter Name="type" Value="GetTaskList" Mode="Value" />
                                </BaseParams>--%>
                                <Listeners>
                                    <Load Handler="#{GridPanel1}.setTitle('待处理事务<font style=color:green;font-weight:bolder;>（'+#{Store1}.getTotalCount()+'）</font>'); " />
                                </Listeners>
                            </ext:Store>
                        </Store>
                        <ColumnModel ID="ColumnModel1" runat="server">
                            <Columns>
                                <ext:RowNumbererColumn />
                                <ext:Column Header="任务ID" Hidden="true" DataIndex="TaskId">
                                </ext:Column>
                                <ext:Column ColumnID="ShopName" Header="<font style='color:Silver;'>所在部门</font>"
                                    DataIndex="ShopName" />
                                <ext:Column ColumnID="TaskTitel" Header="任务名称" DataIndex="TaskTitel">
                                    <Renderer Fn="setTitle" Args="value, metadata, record, rowIndex, colIndex, store" />
                                </ext:Column>
                                <ext:Column ColumnID="FSname" Header="单据状态" DataIndex="FSname" />
                                <ext:Column Header="提交日期" DataIndex="TaskBeginDate" />
                                <ext:Column Header="提交人" DataIndex="UserName" />
                                <ext:Column Header="当前流程" DataIndex="PTName" />
                                <ext:ImageCommandColumn Header="操作" DataIndex="FileTypeName">
                                    <Commands>
                                        <ext:ImageCommand CommandName="Repeal" Icon="TableEdit" />
                                    </Commands>
                                </ext:ImageCommandColumn>
                                <ext:ImageCommandColumn Header="审批历史">
                                    <Commands>
                                        <ext:ImageCommand CommandName="ExamineList" Icon="ApplicationViewList" Text="审批历史">
                                            <ToolTip Text="审批历史" />
                                        </ext:ImageCommand>
                                    </Commands>
                                </ext:ImageCommandColumn>
                            </Columns>
                        </ColumnModel>
                        <SelectionModel>
                            <ext:CheckboxSelectionModel runat="server">
                                <Listeners>
                                    <%--<Render Fn="checkboxSelectionRenderer" />--%>
                                    <%--<BeforeRowSelect Fn="checkboxBeforerowselect" />--%>
                                </Listeners>
                            </ext:CheckboxSelectionModel>
                        </SelectionModel>
                        <Listeners>
                            <Command Handler="ExcuteCommand(command,record);" />
                            <GroupCommand Handler="if(command === 'SelectGroup'){ this.getSelectionModel().selectRecords(records, true); return;}else if(command=='UnSelectGroup'){this.getSelectionModel().clearSelections(); return;} else{toExcuteOperations(this.getSelectionModel().getSelections(),command);}" />
                            <Expand Handler="#{Store1}.reload();" />
                        </Listeners>
                        <LoadMask ShowMask="true" />
                        <TopBar>
                            <ext:Toolbar ID="Toolbar1" runat="server" />
                        </TopBar>
                        <BottomBar>
                            <ext:PagingToolbar ID="PagingToolbar1" runat="server" PageSize="50">
                                <Items>
                                    <ext:Label ID="Label1" runat="server" Text="分页数:" />
                                    <ext:ToolbarSpacer ID="ToolbarSpacer1" runat="server" Width="10" />
                                    <ext:ComboBox ID="ComboBox1" runat="server" Width="80">
                                        <Items>
                                            <ext:ListItem Text="10" />
                                            <ext:ListItem Text="20" />
                                            <ext:ListItem Text="30" />
                                            <ext:ListItem Text="50" />
                                        </Items>
                                        <SelectedItem Value="50" />
                                        <Listeners>
                                            <Select Handler="#{PagingToolbar1}.pageSize = parseInt(this.getValue()); #{PagingToolbar1}.doLoad();" />
                                        </Listeners>
                                    </ext:ComboBox>
                                </Items>
                            </ext:PagingToolbar>
                        </BottomBar>
                        <View>
                            <ext:GroupingView ID="GroupingView1" HideGroupedColumn="true" StartCollapsed="true"
                                runat="server" ForceFit="true" GroupTextTpl='{text} ({[values.rs.length]} {[values.rs.length > 1 ? "项" : "项"]})'
                                GroupByText="按当前列分组" ShowGroupsText="是否分组" EnableRowBody="true" EnableGrouping="true">
                            </ext:GroupingView>
                        </View>
                    </ext:GridPanel>
                    <ext:GridPanel ID="GridPanel5" IDMode="Static" runat="server" Collapsible="true"
                        StripeRows="true" Title="已办事务" Icon="ClockPause" AutoWidth="true" AutoExpandColumn="TaskTitel">
                        <Store>
                            <%--GroupField：分组的字段--%>
                            <ext:Store ID="Store5" IDMode="Static" ShowWarningOnFailure="false" AutoLoad="false"
                                runat="server" GroupField="ShopName">
                                <Proxy>
                                    <ext:HttpProxy Method="POST" Url="/Ajax/Test.ashx" />
                                </Proxy>
                                <Reader>
                                    <ext:JsonReader TotalProperty="total" Root="data">
                                        <Fields>
                                            <%--店铺名称--%>
                                            <ext:RecordField Name="ShopName" />
                                            <%--状态名称--%>
                                            <ext:RecordField Name="FSname" />
                                            <%--所属阶段--%>
                                            <ext:RecordField Name="PhasesName" />
                                            <%--任务创建日期--%>
                                            <ext:RecordField Name="TaskBeginDate" Type="Date" />
                                            <%--提交时间--%>
                                            <ext:RecordField Name="BeginDate" Type="Date" />
                                            <%--任务名称--%>
                                            <ext:RecordField Name="TaskTitel" />
                                            <%--提交人--%>
                                            <ext:RecordField Name="UserName" />
                                            <ext:RecordField Name="TaskEndDate" Type="Date" />
                                            <%--主持老师--%>
                                            <ext:RecordField Name="ShopkeeperName" />
                                            <%--处理时长--%>
                                            <ext:RecordField Name="DealHours" />
                                            <%--任务时长--%>
                                            <ext:RecordField Name="TaskHours" />
                                            <%--处理日期--%>
                                            <ext:RecordField Name="DealDate" Type="Date" />
                                            <%--批注--%>
                                            <ext:RecordField Name="Remark" />
                                            <%--处理动作ID--%>
                                            <ext:RecordField Name="DealFAID" />
                                            <%--动作名称--%>
                                            <ext:RecordField Name="FAName" />
                                            <%--处理状态--%>
                                            <ext:RecordField Name="DealFSID" />
                                        </Fields>
                                    </ext:JsonReader>
                                </Reader>
                                <BaseParams>
                                    <ext:Parameter Name="start" Value="0" Mode="Raw" />
                                    <ext:Parameter Name="limit" Value="getPageSize5()" Mode="Raw" />
                                    <ext:Parameter Name="type" Value="AlreadyDoTask" Mode="Value" />
                                </BaseParams>
                                <Listeners>
                                    <Load Handler="GridPanel5.setTitle('已办事项<font style=color:green;font-weight:bolder;>（'+Store5.getTotalCount()+'）</font>'); " />
                                </Listeners>
                            </ext:Store>
                        </Store>
                        <ColumnModel ID="ColumnModel5" runat="server">
                            <Columns>
                                <ext:RowNumbererColumn />
                                <ext:Column DataIndex="ShopName" Header="店铺名称" />
                                <ext:Column Header="任务名称" DataIndex="TaskTitel" />
                                <ext:Column Header="操作名称" DataIndex="FAName" />
                                <ext:Column Header="状态名称" DataIndex="FSname" />
                                <ext:Column Header="批注" DataIndex="Remark" />
                                <ext:DateColumn Header="处理开始时间" DataIndex="BeginDate" Width="109" Format="yy-MM-dd hh:mm:ss" />
                                <ext:DateColumn Header="处理结束时间" DataIndex="DealDate" Width="109" Format="yy-MM-dd hh:mm:ss" />
                                <ext:Column Header="处理时长（天）" DataIndex="DealHours" />
                                <ext:Column Header="提交人" DataIndex="UserName" />
                                <ext:DateColumn Header="任务创建时间" DataIndex="TaskBeginDate" Width="109" Format="yy-MM-dd hh:mm:ss" />
                                <ext:DateColumn Header="任务结束时间" DataIndex="TaskEndDate" Width="109" Format="yy-MM-dd hh:mm:ss" />
                                <ext:Column Header="任务时长（天）" DataIndex="TaskHours" />
                            </Columns>
                        </ColumnModel>
                        <SelectionModel>
                            <ext:RowSelectionModel ID="RowSelectionModel5" runat="server" />
                        </SelectionModel>
                        <Listeners>
                            <Command Handler="ExcuteCommand(command,record);" />
                            <Expand Handler="Store5.reload();" />
                        </Listeners>
                        <LoadMask ShowMask="true" />
                        <BottomBar>
                            <ext:PagingToolbar ID="PagingToolbar5" IDMode="Static" runat="server" PageSize="50">
                                <Items>
                                    <ext:Label ID="Label5" runat="server" Text="分页数:" />
                                    <ext:ToolbarSpacer ID="ToolbarSpacer5" runat="server" Width="10" />
                                    <ext:ComboBox ID="ComboBox5" runat="server" Width="80">
                                        <Items>
                                            <ext:ListItem Text="10" />
                                            <ext:ListItem Text="20" />
                                            <ext:ListItem Text="30" />
                                            <ext:ListItem Text="50" />
                                        </Items>
                                        <SelectedItem Value="50" />
                                        <Listeners>
                                            <Select Handler="PagingToolbar5.pageSize = parseInt(this.getValue()); PagingToolbar5.doLoad();" />
                                        </Listeners>
                                    </ext:ComboBox>
                                </Items>
                            </ext:PagingToolbar>
                        </BottomBar>
                        <View>
                            <ext:GroupingView ID="GroupingView5" StartCollapsed="true" HideGroupedColumn="true"
                                runat="server" ForceFit="true" GroupTextTpl='{text} ({[values.rs.length]} {[values.rs.length > 1 ? "项" : "项"]})'
                                GroupByText="按当前列分组" ShowGroupsText="是否分组" EnableRowBody="true">
                            </ext:GroupingView>
                        </View>
                    </ext:GridPanel>
                    <ext:GridPanel ID="GridPanel2" IDMode="Static" runat="server" Collapsible="true"
                        StripeRows="true" Title="通知" Icon="ClockError" AutoWidth="true" AutoExpandColumn="TaskTitel">
                        <Store>
                            <%--GroupField：分组的字段--%>
                            <ext:Store ID="Store2" IDMode="Static" ShowWarningOnFailure="false" AutoLoad="true"
                                runat="server" GroupField="ShopName">
                                <Proxy>
                                    <ext:HttpProxy Method="POST" Url="/Ajax/Test.ashx" />
                                </Proxy>
                                <Reader>
                                    <ext:JsonReader IDProperty="TaskId" TotalProperty="total" Root="data">
                                        <Fields>
                                            <%--任务ID--%>
                                            <ext:RecordField Name="TaskId" />
                                            <%--流程阶段--%>
                                            <ext:RecordField Name="FSname" />
                                            <%--门店名称--%>
                                            <ext:RecordField Name="ShopName" />
                                            <%--提交日期--%>
                                            <ext:RecordField Name="TaskBeginDate" />
                                            <%--任务名称--%>
                                            <ext:RecordField Name="TaskTitel" />
                                            <%--提交人--%>
                                            <ext:RecordField Name="UserName" />
                                            <%--审核人--%>
                                            <ext:RecordField Name="DealUserid" />
                                            <%--门店ID--%>
                                            <ext:RecordField Name="ObjectId" />
                                            <%--事件ID--%>
                                            <ext:RecordField Name="DriverId" />
                                            <%--阶段ID--%>
                                            <ext:RecordField Name="PhasesId">
                                            </ext:RecordField>
                                            <%--业务模板ID--%>
                                            <ext:RecordField Name="PTCode">
                                            </ext:RecordField>
                                            <%--文件类型ID--%>
                                            <ext:RecordField Name="FileTypeId" />
                                            <%--文件类型名称--%>
                                            <ext:RecordField Name="FileTypeName" />
                                            <%--<ext:RecordField Name="Remark" />--%>
                                            <ext:RecordField Name="ShopType" />
                                            <ext:RecordField Name="PNID" />
                                            <ext:RecordField Name="PTID" />
                                            <ext:RecordField Name="DriverPhasesid" />
                                            <ext:RecordField Name="overtimeflag" />
                                        </Fields>
                                    </ext:JsonReader>
                                </Reader>
                                <BaseParams>
                                    <ext:Parameter Name="start" Value="0" Mode="Raw" />
                                    <ext:Parameter Name="limit" Value="50" Mode="Raw" />
                                    <ext:Parameter Name="type" Value="ReRepeal" Mode="Value" />
                                </BaseParams>
                                <Listeners>
                                    <Load Handler="GridPanel2.setTitle('通知<font style=color:green;font-weight:bolder;>（'+Store2.getTotalCount()+'）</font>'); " />
                                </Listeners>
                            </ext:Store>
                        </Store>
                        <ColumnModel IDMode="Static" ID="ColumnModel2" runat="server">
                            <Columns>
                                <ext:RowNumbererColumn />
                                <ext:Column Header="任务ID" Hidden="true" DataIndex="TaskId">
                                </ext:Column>
                                <ext:Column ColumnID="ShopName" Header="<font style='color:Silver;'>门店名称</font>"
                                    DataIndex="ShopName" />
                                <ext:Column ColumnID="TaskTitel" Header="任务名称" DataIndex="TaskTitel" />
                                <ext:Column ColumnID="FSname" Header="单据状态" DataIndex="FSname" />
                                <ext:Column Header="提交日期" DataIndex="TaskBeginDate" />
                                <ext:Column Header="提交人" DataIndex="UserName" />
                                <ext:Column Header="店铺类型" DataIndex="ShopType" />
                                <ext:Column Header="DriverId" Hidden="true" DataIndex="DriverId" Hideable="false">
                                </ext:Column>
                                <ext:Column Header="ObjectId" Hidden="true" DataIndex="ObjectId" Hideable="false">
                                </ext:Column>
                                <ext:Column Header="FileTypeId" Hidden="true" DataIndex="FileTypeId" Hideable="false">
                                </ext:Column>
                                <ext:Column Header="FileTypeName" Hidden="true" DataIndex="FileTypeName" Hideable="false" />
                            </Columns>
                        </ColumnModel>
                        <SelectionModel>
                            <ext:CheckboxSelectionModel ID="CheckboxSelectionModel1" runat="server" />
                        </SelectionModel>
                        <Listeners>
                            <Command Handler="ExcuteCommand(command,record);" />
                            <Expand Handler="Store2.reload();" />
                        </Listeners>
                        <LoadMask ShowMask="true" />
                        <BottomBar>
                            <ext:PagingToolbar IDMode="Static" ID="PagingToolbar2" runat="server" PageSize="50" />
                        </BottomBar>
                        <TopBar>
                            <ext:Toolbar runat="server">
                                <Items>
                                    <ext:Button ID="Button1" runat="server" Icon="PageBack" Text="删除">
                                        <Listeners>
                                            <Click Handler="toExcuteOperations(GridPanel2.getSelectionModel().getSelections(),'Repeal');" />
                                        </Listeners>
                                    </ext:Button>
                                </Items>
                            </ext:Toolbar>
                        </TopBar>
                        <View>
                            <ext:GroupingView ID="GroupingView2" IDMode="Static" HideGroupedColumn="true" runat="server"
                                ForceFit="true" GroupTextTpl='{text} ({[values.rs.length]} {[values.rs.length > 1 ? "项" : "项"]})'
                                GroupByText="按当前列分组" ShowGroupsText="是否分组" EnableRowBody="true">
                            </ext:GroupingView>
                        </View>
                    </ext:GridPanel>
                    <ext:GridPanel ID="GridPanel6" IDMode="Static" runat="server" Collapsible="true"
                        StripeRows="true" Title="部门讨论区" Icon="ClockStop2" AutoWidth="true" AutoExpandColumn="TaskTitel">
                        <Store>
                            <%--GroupField：分组的字段--%>
                            <ext:Store ID="Store6" IDMode="Static" ShowWarningOnFailure="false" AutoLoad="true"
                                runat="server" GroupField="ShopName">
                                <Proxy>
                                    <ext:HttpProxy Method="POST" Url="/Ajax/Test.ashx" />
                                </Proxy>
                                <Reader>
                                    <ext:JsonReader IDProperty="TaskId" TotalProperty="total" Root="data">
                                        <Fields>
                                            <%--任务ID--%>
                                            <ext:RecordField Name="TaskId" />
                                            <%--流程阶段--%>
                                            <ext:RecordField Name="FSname" />
                                            <%--门店名称--%>
                                            <ext:RecordField Name="ShopName" />
                                            <%--提交日期--%>
                                            <ext:RecordField Name="TaskBeginDate" />
                                            <%--任务名称--%>
                                            <ext:RecordField Name="TaskTitel" />
                                            <%--提交人--%>
                                            <ext:RecordField Name="UserName" />
                                            <%--审核人--%>
                                            <ext:RecordField Name="DealUserid" />
                                            <%--门店ID--%>
                                            <ext:RecordField Name="ObjectId" />
                                            <%--事件ID--%>
                                            <ext:RecordField Name="DriverId" />
                                            <%--阶段ID--%>
                                            <ext:RecordField Name="PhasesId">
                                            </ext:RecordField>
                                            <%--业务模板ID--%>
                                            <ext:RecordField Name="PTCode">
                                            </ext:RecordField>
                                            <%--文件类型ID--%>
                                            <ext:RecordField Name="FileTypeId" />
                                            <%--文件类型名称--%>
                                            <ext:RecordField Name="FileTypeName" />
                                            <%--<ext:RecordField Name="Remark" />--%>
                                            <ext:RecordField Name="ShopType" />
                                            <ext:RecordField Name="PNID" />
                                            <ext:RecordField Name="PTID" />
                                            <ext:RecordField Name="DriverPhasesid" />
                                            <ext:RecordField Name="overtimeflag" />
                                        </Fields>
                                    </ext:JsonReader>
                                </Reader>
                                <BaseParams>
                                    <ext:Parameter Name="start" Value="0" Mode="Raw" />
                                    <ext:Parameter Name="limit" Value="50" Mode="Raw" />
                                    <ext:Parameter Name="type" Value="Repeal" Mode="Value" />
                                </BaseParams>
                                <Listeners>
                                    <Load Handler="GridPanel6.setTitle('部门讨论区<font style=color:green;font-weight:bolder;>（'+Store6.getTotalCount()+'）</font>'); " />
                                </Listeners>
                            </ext:Store>
                        </Store>
                        <ColumnModel IDMode="Static" ID="ColumnModel6" runat="server">
                            <Columns>
                                <ext:RowNumbererColumn />
                                <ext:Column Header="任务ID" Hidden="true" DataIndex="TaskId">
                                </ext:Column>
                                <ext:Column ColumnID="ShopName" Header="<font style='color:Silver;'>门店名称</font>"
                                    DataIndex="ShopName" />
                                <ext:Column ColumnID="TaskTitel" Header="任务名称" DataIndex="TaskTitel" />
                                <ext:Column ColumnID="FSname" Header="单据状态" DataIndex="FSname" />
                                <ext:Column Header="提交日期" DataIndex="TaskBeginDate" />
                                <ext:Column Header="提交人" DataIndex="UserName" />
                                <ext:Column Header="店铺类型" DataIndex="ShopType" />
                                <ext:Column Header="DriverId" Hidden="true" DataIndex="DriverId" Hideable="false">
                                </ext:Column>
                                <ext:Column Header="ObjectId" Hidden="true" DataIndex="ObjectId" Hideable="false">
                                </ext:Column>
                                <ext:Column Header="FileTypeId" Hidden="true" DataIndex="FileTypeId" Hideable="false">
                                </ext:Column>
                                <ext:Column Header="FileTypeName" Hidden="true" DataIndex="FileTypeName" Hideable="false" />
                                <ext:ImageCommandColumn Header="操作" DataIndex="FileTypeName">
                                    <Commands>
                                        <ext:ImageCommand CommandName="ViewRepeal" Icon="TableEdit" />
                                    </Commands>
                                </ext:ImageCommandColumn>
                                <ext:ImageCommandColumn Header="审批历史">
                                    <Commands>
                                        <ext:ImageCommand CommandName="ExamineList" Icon="ApplicationViewList" Text="审批历史">
                                            <ToolTip Text="审批历史" />
                                        </ext:ImageCommand>
                                    </Commands>
                                </ext:ImageCommandColumn>
                            </Columns>
                        </ColumnModel>
                        <SelectionModel>
                            <ext:CheckboxSelectionModel ID="CheckboxSelectionModel6" runat="server" />
                        </SelectionModel>
                        <Listeners>
                            <Command Handler="ExcuteCommand(command,record);" />
                            <Expand Handler="Store6.reload();" />
                        </Listeners>
                        <LoadMask ShowMask="true" />
                        <BottomBar>
                            <ext:PagingToolbar IDMode="Static" ID="PagingToolbar6" runat="server" PageSize="50" />
                        </BottomBar>
                        <TopBar>
                            <ext:Toolbar ID="tbButtons" runat="server" />
                        </TopBar>
                        <View>
                            <ext:GroupingView ID="GroupingView6" IDMode="Static" HideGroupedColumn="true" runat="server"
                                ForceFit="true" GroupTextTpl='{text} ({[values.rs.length]} {[values.rs.length > 1 ? "项" : "项"]})'
                                GroupByText="按当前列分组" ShowGroupsText="是否分组" EnableRowBody="true">
                            </ext:GroupingView>
                        </View>
                    </ext:GridPanel>
                    <ext:GridPanel ID="GridPanel3" IDMode="Static" runat="server" Collapsible="true"
                        StripeRows="true" Title="部门文档" AutoWidth="true" Icon="ClockEdit" AutoExpandColumn="TaskTitel">
                        <Store>
                            <%--GroupField：分组的字段--%>
                            <ext:Store ID="Store3" IDMode="Static" ShowWarningOnFailure="false" AutoLoad="true"
                                runat="server" GroupField="ShopName">
                                <Proxy>
                                    <ext:HttpProxy Method="POST" Url="/Ajax/Test.ashx" />
                                </Proxy>
                                <Reader>
                                    <ext:JsonReader IDProperty="TaskId" TotalProperty="total" Root="data">
                                        <Fields>
                                            <%--任务ID--%>
                                            <ext:RecordField Name="TaskId" />
                                            <%--流程阶段--%>
                                            <ext:RecordField Name="FSname" />
                                            <%--门店名称--%>
                                            <ext:RecordField Name="ShopName" />
                                            <%--提交日期--%>
                                            <ext:RecordField Name="TaskBeginDate" />
                                            <%--任务名称--%>
                                            <ext:RecordField Name="TaskTitel" />
                                            <%--提交人--%>
                                            <ext:RecordField Name="UserName" />
                                            <%--审核人--%>
                                            <ext:RecordField Name="DealUserid" />
                                            <%--门店ID--%>
                                            <ext:RecordField Name="ObjectId" />
                                            <%--事件ID--%>
                                            <ext:RecordField Name="DriverId" />
                                            <%--阶段ID--%>
                                            <ext:RecordField Name="PhasesId">
                                            </ext:RecordField>
                                            <%--业务模板ID--%>
                                            <ext:RecordField Name="PTCode">
                                            </ext:RecordField>
                                            <%--文件类型ID--%>
                                            <ext:RecordField Name="FileTypeId" />
                                            <%--文件类型名称--%>
                                            <ext:RecordField Name="FileTypeName" />
                                            <%--<ext:RecordField Name="Remark" />--%>
                                            <ext:RecordField Name="ShopType" />
                                            <ext:RecordField Name="PNID" />
                                            <ext:RecordField Name="PTID" />
                                            <ext:RecordField Name="DriverPhasesid" />
                                            <ext:RecordField Name="overtimeflag" />
                                        </Fields>
                                    </ext:JsonReader>
                                </Reader>
                                <BaseParams>
                                    <ext:Parameter Name="start" Value="0" Mode="Raw" />
                                    <ext:Parameter Name="type" Value="ToFillNeatMaterialMatters" Mode="Value" />
                                </BaseParams>
                                <Listeners>
                                    <Load Handler="GridPanel3.setTitle('部门文档<font style=color:green;font-weight:bolder;>（'+Store3.getTotalCount()+'）</font>'); " />
                                </Listeners>
                            </ext:Store>
                        </Store>
                        <ColumnModel ID="ColumnModel3" runat="server">
                            <Columns>
                                <ext:RowNumbererColumn />
                                <ext:Column Header="任务ID" Hidden="true" DataIndex="TaskId">
                                </ext:Column>
                                <ext:Column ColumnID="ShopName" Header="<font style='color:Silver;'>门店名称</font>"
                                    DataIndex="ShopName" />
                                <ext:Column ColumnID="TaskTitel" Header="任务名称" DataIndex="TaskTitel">
                                    <Renderer Fn="setTitle" Args="value, metadata, record, rowIndex, colIndex, store" />
                                </ext:Column>
                                <ext:Column ColumnID="FSname" Header="单据状态" DataIndex="FSname" />
                                <ext:Column Header="提交日期" DataIndex="TaskBeginDate" />
                                <ext:Column Header="提交人" DataIndex="UserName" />
                                <ext:Column Header="店铺类型" DataIndex="ShopType" />
                                <ext:Column Header="DriverId" Hidden="true" DataIndex="DriverId" Hideable="false">
                                </ext:Column>
                                <ext:Column Header="ObjectId" Hidden="true" DataIndex="ObjectId" Hideable="false">
                                </ext:Column>
                                <ext:Column Header="FileTypeId" Hidden="true" DataIndex="FileTypeId" Hideable="false">
                                </ext:Column>
                                <ext:Column Header="FileTypeName" Hidden="true" DataIndex="FileTypeName" Hideable="false">
                                </ext:Column>
                                <ext:ImageCommandColumn Header="操作">
                                    <Commands>
                                        <ext:ImageCommand CommandName="Repeal" Icon="TableEdit" Text="查看">
                                            <ToolTip Text="查看" />
                                        </ext:ImageCommand>
                                        <ext:ImageCommand CommandName="ExamineList" Icon="ApplicationViewList" Text="审批历史">
                                            <ToolTip Text="审批历史" />
                                        </ext:ImageCommand>
                                    </Commands>
                                </ext:ImageCommandColumn>
                                <%-- <ext:Column Header="状态" DataIndex="ActionName">
                    <Renderer Fn="CaoZuo" Args="value, metadata, record, rowIndex, colIndex, store" />
                </ext:Column>--%>
                                <%-- <ext:CommandColumn Hidden="true">
                    <GroupCommands>
                        <ext:GridCommand Icon="TableRow" CommandName="SelectGroup" Text="选择当前组">
                            <ToolTip Title="选择" Text="选择当前组的所有行" />
                        </ext:GridCommand>
                        <ext:GridCommand Icon="Decline" CommandName="UnSelectGroup" Text="取消选择">
                            <ToolTip Title="取消选择" Text="取消当前组的所有选择" />
                        </ext:GridCommand>
                       
                        <ext:GridCommand Icon="PageBack" CommandName="Reject" Text="退回">
                            <ToolTip Title="退回" Text="退回所选任务" />
                        </ext:GridCommand>
                        <ext:GridCommand Icon="BookAdd" CommandName="Submit" Text="提交">
                            <ToolTip Title="提交" Text="提交所选任务" />
                        </ext:GridCommand>
                        <ext:CommandFill />
                    </GroupCommands>
                </ext:CommandColumn>--%>
                            </Columns>
                        </ColumnModel>
                        <SelectionModel>
                            <ext:CheckboxSelectionModel ID="CheckboxSelectionModel3" runat="server" />
                        </SelectionModel>
                        <Listeners>
                            <Command Handler="ExcuteCommand(command,record);" />
                            <GroupCommand Handler="if(command === 'SelectGroup'){ this.getSelectionModel().selectRecords(records, true); return;}else if(command=='UnSelectGroup'){this.getSelectionModel().clearSelections(); return;} else{toExcuteOperations(this.getSelectionModel().getSelections(),command);}" />
                            <Expand Handler="Store3.reload();" />
                        </Listeners>
                        <LoadMask ShowMask="true" />
                        <BottomBar>
                            <ext:PagingToolbar ID="PagingToolbar3" runat="server" PageSize="50">
                                <Items>
                                    <ext:Label ID="Label3" runat="server" Text="分页数:" />
                                    <ext:ToolbarSpacer ID="ToolbarSpacer3" runat="server" Width="10" />
                                    <ext:ComboBox ID="ComboBox3" runat="server" Width="80">
                                        <Items>
                                            <ext:ListItem Text="10" />
                                            <ext:ListItem Text="20" />
                                            <ext:ListItem Text="30" />
                                            <ext:ListItem Text="50" />
                                        </Items>
                                        <SelectedItem Value="50" />
                                        <Listeners>
                                            <Select Handler="#{PagingToolbar3}.pageSize = parseInt(this.getValue()); #{PagingToolbar1}.doLoad();" />
                                        </Listeners>
                                    </ext:ComboBox>
                                </Items>
                            </ext:PagingToolbar>
                        </BottomBar>
                        <View>
                            <ext:GroupingView ID="GroupingView3" HideGroupedColumn="true" runat="server" ForceFit="true"
                                GroupTextTpl='{text} ({[values.rs.length]} {[values.rs.length > 1 ? "项" : "项"]})'
                                GroupByText="按当前列分组" ShowGroupsText="是否分组" EnableRowBody="true">
                            </ext:GroupingView>
                        </View>
                    </ext:GridPanel>
                </Items>
            </ext:Panel>
        </Items>
        <Listeners>
            <AfterLayout Handler="autoSizeArea();" />
            <Resize Handler="autoSizeArea();" />
        </Listeners>
    </ext:Viewport>
    </form>
</body>
</html>
